document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_18900 | ---
+++
@@ -50,3 +50,5 @@
./bfs_client get /bin/bfs_client ./binary
rm -rf ./binary
+
+echo "Test done!" | bash |
d_bash_18901 | ---
+++
@@ -11,4 +11,4 @@
FILTER_QUERY="?$FILTER_NAME||$FILTER_ID"
fi
-awscli ec2 describe-instances --output table --filters Name=instance-state-name,Values=pending,running,shutting-down,stopping,stopped --query "Reservations[].Instances[$FILTER_QUERY][].{\"1.Name\":Tags[?Key=='Name'].Value|[0],\"2.InstanceI... | bash |
d_bash_18902 | ---
+++
@@ -15,7 +15,7 @@
# Install XMLTV
echo "3. Installing XMLTV..."
-apt-get update && apt-get install --no-install-recommends -y xmltv wget socat libdatetime-format-dateparse-perl
+apt-get clean && apt-get update && apt-get install --no-install-recommends -y xmltv wget socat libdatetime-format-dateparse-perl... | bash |
d_bash_18903 | ---
+++
@@ -21,3 +21,5 @@
# Remove all items from the dock
alias cleardock="defaults write com.apple.dock persistent-apps -array \"\" && killall Dock"
+
+alias fd="fd --hidden" | bash |
d_bash_18904 | ---
+++
@@ -1,11 +1,10 @@
atf_test_case search
-version_head() {
+search_head() {
atf_set "descr" "testing pkg search"
}
-version_body() {
- atf_check -o inline:"New generation package manager" -s exit:0 \
- pkg search -e -Q comment -S name pkg
+search_body() {
+ atf_check -o match:"New generation package ... | bash |
d_bash_18905 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/sh
-curl -X POST -d @request.json http://latrice.local:9000/response.json --header "Content-Type:application/json"
+curl -X POST -d @request.json http://`hostname`:9000/response.json --header "Content-Type:application/json" | bash |
d_bash_18906 | ---
+++
@@ -16,8 +16,8 @@
set -euo pipefail
-# Default timeout is 900s
-TEST_TIMEOUT=900
+# Default timeout is 1800s
+TEST_TIMEOUT=1800
for arg in "$@"
do | bash |
d_bash_18907 | ---
+++
@@ -1,8 +1,6 @@
_axs() {
local arguments
local targets
-
- targets=($(axs --list))
arguments=(
'(- :)-list[list targets]'
@@ -13,7 +11,10 @@
_arguments -S -A "-*" $arguments
case "$state" in
target)
- _values 'target' $targets
+ ta... | bash |
d_bash_18908 | ---
+++
@@ -1,9 +1,10 @@
#!/bin/bash
-if ! grep -q "ansible/ansible" /etc/apt/sources.list /etc/apt/sources.list.d/*; then
- echo "Adding Ansible PPA"
- sudo apt-add-repository ppa:ansible/ansible -y
-fi
+# if ! grep -q "ansible/ansible" /etc/apt/sources.list /etc/apt/sources.list.d/*; then
+ # sudo apt install... | bash |
d_bash_18909 | ---
+++
@@ -1,6 +1,8 @@
#!/bin/bash
set -xe
+
+trap "sudo killall celery" SIGINT SIGTERM
redis-server redis.conf
celery -A ckan_multisite.task worker & | bash |
d_bash_18910 | ---
+++
@@ -2,7 +2,7 @@
set -e
-if [ -n "$DEBUG" ]; then
+if [ -z "$DEBUG" ]; then
export DEBUG="testsuite"
fi
| bash |
d_bash_18911 | ---
+++
@@ -13,6 +13,6 @@
git clone "${REPO_URL}" "${REPO_PATH}"
if (test -d ${REPO_PATH}); then
- echo "* * * * * cd '${REPO_PATH}' && git pull --quiet" > "/etc/cron.d/puppet-repo-${NAME}"
+ echo "* * * * * root cd '${REPO_PATH}' && git pull --quiet" > "/etc/cron.d/puppet-repo-${NAME}"
perl -pi -e "\$modulePat... | bash |
d_bash_18912 | ---
+++
@@ -4,7 +4,7 @@
# Script to download and install Atlassian JIRA
#
# See also
-# http://maxlab.polito.it/confluence/display/~gmacario/Configuration+of+mv-linux-powerhorse
+# https://maxlab.polito.it/confluence/x/DAAb
# ========================================================================================... | bash |
d_bash_18913 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+export DYLD_LIBRARY_PATH=$PREFIX/lib
+
export CFLAGS=-I$PREFIX/include
export CXXFLAGS="${CFLAGS}"
| bash |
d_bash_18914 | ---
+++
@@ -7,11 +7,11 @@
cat /.ssh/id_rsa.pub | vagrant ssh -c "docker exec -i dokku sshcommand acl-add dokku root"
-git clone https://github.com/heroku/php-getting-started.git
-cd php-getting-started
+git clone https://github.com/experimental-platform/php-hello-world.git
+cd php-hello-world
# http://progriu... | bash |
d_bash_18915 | ---
+++
@@ -3,6 +3,16 @@
export CARGO_TARGET_DIR=target
+# Hack for OSX: we cannot run the tests in parallel
+case $OSTYPE in
+ darwin*)
+ __TESTEXTRA="-- --test-threads 1"
+ ;;
+ default)
+ __TESTEXTRA=""
+ ;;
+esac
+
for toml in $(find . -maxdepth 2 -name "Cargo.toml"); do
- ... | bash |
d_bash_18916 | ---
+++
@@ -17,7 +17,7 @@
test "$(sudo cat /etc/sudoers.d/wptagent)" == "${USER} ALL=(ALL:ALL) NOPASSWD:ALL"
test "$(cat /etc/watchdog.conf | grep "test-binary = $HOME/wptagent/alive.sh")" == "test-binary = $HOME/wptagent/alive.sh"
-sudo sysctl --load
+sudo sysctl --system
test "$(sysctl vm.panic_on_oom)" == "... | bash |
d_bash_18917 | ---
+++
@@ -23,11 +23,12 @@
rustup component add rust-src --toolchain $toolchain
rustup component add rustfmt-preview --toolchain $toolchain
rustup component add clippy-preview --toolchain $toolchain
+ rustup target add wasm32-unknown-unknown --toolchain $toolchain
done
rustup default nightly
... | bash |
d_bash_18918 | ---
+++
@@ -10,9 +10,10 @@
# As long as we run in an ephemeral docker container, we
# can safely clobber any files we find.
-for filter in diamond/filters/* ; do
+for filter in /usr/local/share/diamond/filters/* ; do
cat > $filter << EOF
#!/bin/sh
+docker pull $IMAGEID >/dev/null 2>&1
exec docker run --rm ... | bash |
d_bash_18919 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
/opt/envsubst < /envsubst_template.json > /conf/runtime.json
-exec java -XX:+UseContainerSupport -XX:MaxRAMPercentage=75.0 -jar /git-bridge.jar /conf/runtime.json
+exec java -XX:+UseContainerSupport -XX:MaxRAMPercentage=50.0 -jar /git-bridge.jar /conf/runtime.json | bash |
d_bash_18920 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
set -x
-docker build --no-cache -t abernix/meteord:base ../base
-docker build --no-cache -t abernix/meteord:onbuild ../onbuild
-docker build --no-cache -t abernix/meteord:devbuild ../devbuild
-docker build --no-cache -t abernix/meteord:binbuild ../binbuild
+docker build --no-ca... | bash |
d_bash_18921 | ---
+++
@@ -23,5 +23,10 @@
fi
echo Loading ipfs-daemon
-launchctl load "$dest_dir/$plist"
+if [[ `sw_vers -productVersion` == 10.1* ]]; then
+ sudo chown root "$dest_dir/$plist"
+ sudo launchctl bootstrap system "$dest_dir/$plist"
+else
+ launchctl load "$dest_dir/$plist"
+fi
launchctl list | grep ipfs-daemon | bash |
d_bash_18922 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
DIR=$(dirname "$0")
-"$DIR/perl-local" -I"$DIR/local-lib/lib/perl5" "$DIR/slic3r.pl" $@
+exec "$DIR/perl-local" -I"$DIR/local-lib/lib/perl5" "$DIR/slic3r.pl" $@ | bash |
d_bash_18923 | ---
+++
@@ -14,7 +14,7 @@
echo "##############"
echo "## RUN MAVEN TESTS"
cd backend
-mvn flyway:migrate generate-resources generate-sources package -e -Dspring.profiles.active=compose -Ddb.url=jdbc:postgresql://${DB_IP}:5432/kw -Dspring.datasource.url=jdbc:postgresql://${DB_IP}:5432/kw -Dspring.datasource.userna... | bash |
d_bash_18924 | ---
+++
@@ -1,4 +1,4 @@
-function gi() { curl https://www.gitignore.io/api/$@ ;}
+function gi() { curl -L https://www.gitignore.io/api/$@ ;}
_gitignoreio_get_command_list() {
curl -s https://www.gitignore.io/api/list | tr "," "\n" | bash |
d_bash_18925 | ---
+++
@@ -1,17 +1,38 @@
#!/bin/bash
+
+# Set the tmpdir
+if [ -z "$TMPDIR" ]; then
+ TMPDIR="/tmp"
+fi
+
+# Create a temporary build dir and make sure we clean it up. For
+# debugging, comment out the trap line.
+DEPLOY=`mktemp -d $TMPDIR/consul-www-XXXXXX`
+trap "rm -rf $DEPLOY" INT TERM EXIT
# Get the parent... | bash |
d_bash_18926 | ---
+++
@@ -8,6 +8,12 @@
emerge app-portage/flaggie
mkdir -p /etc/portage/package.{accept_keywords,unmask,mask,use}
touch /etc/portage/package.accept_keywords/flaggie
+ # set locale of build container
+ echo 'en_US.UTF-8 UTF-8' >> /etc/locale.gen
+ locale-gen
+ echo 'LANG="en_US.UTF-8"' > /... | bash |
d_bash_18927 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env sh
-git pull origin $(./node_modules/.bin/git-current-branch) --rebase
+git pull origin $(/usr/local/lib/node_modules/ggpullr/node_modules/.bin/git-current-branch) --rebase | bash |
d_bash_18928 | ---
+++
@@ -1,30 +1,10 @@
#!/usr/bin/env bash
# Copy dotfiles to home directories
-function doIt() {
- rsync --exclude ".git/" \
- --exclude ".DS_Store" \
- --exclude ".macos" \
- --exclude "brew-expansion.sh" \
- --exclude "brew-work.sh" \
- --exclude "brew.sh" \
- --exclude "LICENSE" \
- --exclud... | bash |
d_bash_18929 | ---
+++
@@ -3,7 +3,7 @@
# CI publish script
export DITA_HOME=$PWD/dita-ot-$DITA_OT_VERSION
-export DITA_OT_DEV=$(find $PWD -name 'dita-ot-*+*' -type d | head -1)
+export DITA_OT_DEV=$(find $PWD -name 'dita-ot-*@*' -type d | head -1)
export SITE_DIR=$PWD/website
#if [ "$TRAVIS_PULL_REQUEST" = "false" -a "$TRAV... | bash |
d_bash_18930 | ---
+++
@@ -1,17 +1,17 @@
#!/bin/bash
-mysql -u $1 --password=$2 < /opt/thinkbig/setup/sql/mysql/thinkbig/create-database.sql
+mysql -u$1 --password=$2 < /opt/thinkbig/setup/sql/mysql/thinkbig/create-database.sql
echo "Created thinkbig database";
-mysql -u $1 --password=$2 thinkbig < /opt/thinkbig/setup/sql/mysql... | bash |
d_bash_18931 | ---
+++
@@ -1,5 +1,27 @@
-#!/bin/sh
+#!/bin/bash
# This script syncs the current directory to S3 to be hosted as a static website
-aws s3 sync dist s3://beta.after.heap.fi/ --profile heap --region eu-west-1 --exclude "*.map*" --exclude "*.gz" --delete --dryrun
+# Bash strict mode
+set -euo pipefail
+
+REGION="eu... | bash |
d_bash_18932 | ---
+++
@@ -2,17 +2,24 @@
# Check if DYN_DNS_URL is set
if [ -z "$DYN_DNS_URL" ]; then
+ echo "Variable DYN_DNS_URL has to be set!"
exit 1
fi
# Check if INTERVAL_TIME is set
if [ -z "$INTERVAL_TIME" ]; then
+ echo "Variable INTERVAL_TIME is set to 300"
INTERVAL_TIME=300
fi
+old_ip=""
# Infinite l... | bash |
d_bash_18933 | ---
+++
@@ -16,7 +16,8 @@
sudo aptitude install redis-server redis-tools
-sudo aptitude install graphviz
+sudo aptitude install graphviz dconf-cli gnome-tweak-tool
-
-
+sudo apt-get install libxss1 libappindicator1 libindicator7
+wget https://dl.google.com/linux/direct/google-chrome-beta_current_amd64.deb
+sud... | bash |
d_bash_18934 | ---
+++
@@ -15,11 +15,12 @@
for input in $CURRENT_SOURCE_DIR/*.in ; do
name=`basename $input .in`
output=$name.out
+ output_tmp="$name-${LIBOFP_DEFAULT_PORT}.out"
echo "Run testagent to convert $input into $output"
# Remove lines with timestamps from output.
- $TESTAGENT "127.0.0.1:$LIBOFP_DEFAULT_PORT... | bash |
d_bash_18935 | ---
+++
@@ -1,10 +1,5 @@
#!/bin/bash
-cd "$(dirname $0)"
-DIRS=". assert require mock _codegen"
set -e
-for subdir in $DIRS; do
- pushd $subdir
- go vet
- popd
-done
+
+go vet ./... | bash |
d_bash_18936 | ---
+++
@@ -6,7 +6,7 @@
echo "Running aclocal..."; aclocal $ACLOCAL_FLAGS -I m4 \
&& echo "Running autoheader..."; autoheader \
&& echo "Running autoconf..."; autoconf \
-&& echo "Running libtoolize..."; libtoolize --automake \
+&& echo "Running libtoolize..."; ( libtoolize --automake || glibtoolize --automake ) \... | bash |
d_bash_18937 | ---
+++
@@ -29,11 +29,11 @@
shift
i=$[ $i + 1 ]
done
-for crt in $(ls -1 /*crt); do
- echo "Add certificate to trusted CA from file '$crt'"
- openssl x509 -in $crt -noout -subject -dates
- cp $crt $CADIR/
-done
+# for crt in $(ls -1 /*crt); do
+ # echo "Add certificate to trusted CA from file '$crt'"
+ # openssl... | bash |
d_bash_18938 | ---
+++
@@ -2,11 +2,6 @@
# Exit as soon as the script fails
set -ex
-
-if [ -z "$CI_PULL_REQUEST" ]; then
- echo "This is not a pull request build."
- exit 0
-fi
happo_run() {
echo "Checking out $1" | bash |
d_bash_18939 | ---
+++
@@ -1,16 +1,31 @@
#!/bin/bash
+
+#RESIN_ADMIN_USER
+#RESIN_ADMIN_PASSWORD
+#resinctl generate-password --user admin --password password >> /etc/resin/resin.properties
+
+sed -e "s|^web_admin_enable .*$|web_admin_enable : false|" -i /etc/resin/resin.properties
+sed -e "s|^dev_mode .*$|dev_mode : false|" -i /e... | bash |
d_bash_18940 | ---
+++
@@ -1,5 +1,5 @@
export DISTRO_NAME=${DISTRO_NAME:-ubuntu}
-export DIB_RELEASE=${DIB_RELEASE:-xenial}
+export DIB_RELEASE=${DIB_RELEASE:-bionic}
export DIB_DEBIAN_COMPONENTS=${DIB_DEBIAN_COMPONENTS:-main,universe}
# There are two default distro mirrors depending on architecture | bash |
d_bash_18941 | ---
+++
@@ -10,6 +10,8 @@
npm run compile-all
cp CNAME dist
cd dist
+ git config --global user.email "travis@marionettejs.com"
+ git config --global user.name "TRAVIS-CI"
git init
git add .
git commit -m "deploy" | bash |
d_bash_18942 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-git update-ref HEAD master
+git update-ref HEAD refs/heads/master
git checkout master
mvn release:prepare -B
mvn release:perform --settings deploy-settings.xml | bash |
d_bash_18943 | ---
+++
@@ -19,4 +19,7 @@
alias afind='ack-grep -il'
+# "fast find": filter out any dotfiles
+alias ffind='find -mindepth 1 -name ".*" -prune'
+
alias x=extract | bash |
d_bash_18944 | ---
+++
@@ -15,20 +15,23 @@
source "$setup" || exit 1
if [ ! -e "$fea_dir/.done" ]; then
+ if [ ! -z $fea_dir_ext ]; then
+ ln -sf $fea_dir_ext $fea_dir
+ else
+ # Create the output directory.
+ mkdir -p "$fea_dir"
- # Create the output directory.
- mkdir -p "$fea_dir"
+ ... | bash |
d_bash_18945 | ---
+++
@@ -1,3 +1,12 @@
#!/bin/sh
+
+test -n "${srcdir}" || srcdir=`dirname "$0"`
+test -n "${srcdir}" || srcdir="$(pwd)"
+
+olddir="$(pwd)"
+cd "$srcdir"
+
autoreconf -i
-./configure --enable-maintainer-mode "$@"
+
+cd "$olddir"
+"$srcdir/configure" --enable-maintainer-mode "$@" | bash |
d_bash_18946 | ---
+++
@@ -7,7 +7,9 @@
DEVSTACK_GATE_DESIGNATE_DRIVER=${DEVSTACK_GATE_DESIGNATE_DRIVER:-powerdns}
export KEEP_LOCALRC=1
-export ENABLED_SERVICES=designate,designate-api,designate-central,designate-sink,designate-mdns,designate-pool-manager
+export ENABLED_SERVICES=designate,designate-api,designate-central,design... | bash |
d_bash_18947 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/sh
-/usr/bin/aws s3 sync /var/jenkins_home s3://$S3_BUCKET --sse AES256
+/usr/bin/aws s3 sync /var/jenkins_home s3://$S3_BUCKET --sse AES256 --delete | bash |
d_bash_18948 | ---
+++
@@ -1,8 +1,10 @@
#!/bin/sh
# Runs an analysis with the built MutabilityDetector.jar for a quick check that nothing is fundamentally broken.
+
+MD_JAR=$1
RT_JAR=$JAVA_HOME/jre/lib/rt.jar
-COMMAND="java -jar MutabilityDetector.jar -cp $RT_JAR"
+COMMAND="java -jar ${MD_JAR} -cp $RT_JAR"
echo "Running com... | bash |
d_bash_18949 | ---
+++
@@ -7,5 +7,7 @@
-sudo apt-get install apache2 mysql-client mysql-server php-cli php-mysql pypy python-mysqldb libapache2-mod-php php-dom php-curl python-bcrypt
+sudo apt-get install apache2 mysql-client mysql-server php-cli php-mysql \
+python-mysqldb libapache2-mod-php php-dom php-curl python-bcrypt \
... | bash |
d_bash_18950 | ---
+++
@@ -1,6 +1,6 @@
-#!/bin/bash
+#!/bin/sh
-set -v # print commands as they're executed
+set -ev # print commands as they're executed and immediately fail if one has a non zero exit code
pip install tensorflow==$TF_VERSION pytest
| bash |
d_bash_18951 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/sh
-pkill -f /usr/local/MATLAB; pkill -f vim-matlab-server
+pkill -f /MATLAB; pkill -f vim-matlab-server | bash |
d_bash_18952 | ---
+++
@@ -3,3 +3,5 @@
alias dev='cd ~/Development'
alias tn='terminal-notifier'
+
+alias h='history 1' | bash |
d_bash_18953 | ---
+++
@@ -4,7 +4,7 @@
if [ ! -f "$PID" ]; then
- echo "Nginx not currently running"
+ echo "Nginx not running"
exit
fi
| bash |
d_bash_18954 | ---
+++
@@ -3,7 +3,7 @@
date=`date +"%Y%m%d"`
hour_tmp=`date +"%k"`
url=http://ice22.securenetsystems.net/UNIVM
-duration=4200
+duration=3780
if [ $hour_tmp -lt 12 ]; then
hour=Am | bash |
d_bash_18955 | ---
+++
@@ -1,31 +1,46 @@
#!/bin/bash
# Download videos in parts and concatenate parts to a single continuous video.
-# Edit the download URLs and max_index to match the cURL copied from a web browser.
+# Copy the URL from a web browser's network tab; any segment is fine.
+# When downloaded segment contains just pl... | bash |
d_bash_18956 | ---
+++
@@ -11,6 +11,7 @@
source "$BASE/env/bin/activate"
echo "Fetching dependencies"
+pip install -U pip # make sure pip is fully up-to-date
pip install docopt~=0.6 scipy~=0.19 scikit-learn~=0.19 requests~=2.18
# Freki is not in PyPI, so install it from git if it isn't already installed | bash |
d_bash_18957 | ---
+++
@@ -1,6 +1,4 @@
#!/bin/sh
-
-p_source="$pkg_dist_dir/loop-AES-v3.7b.tar.bz2"
use_toolchain target
| bash |
d_bash_18958 | ---
+++
@@ -21,7 +21,18 @@
if [[ -z "$project_id" ]]; then
exit 1
fi
- gcloud -q projects delete "$project_id"
+ read -r -p \
+ "This will COMPLETELY DELETE ${project_id}... Are you sure? (y/n) " response
+ case "$response" in
+ [yY]*)
+ echo "Deleting ${project_id}..."
+ gcloud -q proje... | bash |
d_bash_18959 | ---
+++
@@ -24,7 +24,7 @@
SED="sed -i.bak -r -e"
fi
-PROVIDER_URL="https:\/\/github.com\/terraform-providers\/terraform-provider-terraform"
+PROVIDER_URL="https:\/\/github.com\/terraform-providers\/terraform-provider-terraform\/issues"
$SED "s/GH-([0-9]+)/\[#\1\]\($PROVIDER_URL\/\1\)/g" -e 's/\[\[#(.+)([0-9]... | bash |
d_bash_18960 | ---
+++
@@ -8,7 +8,7 @@
set -e
# BUILD
-bazel build //:package_debian --compiler=gcc-4.9
+bazel build //:package_debian --compiler=gcc-5
# Renaming: Until https://github.com/bazelbuild/bazel/issues/3652 is fixed.
mv bazel-bin/dreal__amd64.deb dreal_${VERSION}_amd64.deb | bash |
d_bash_18961 | ---
+++
@@ -15,9 +15,11 @@
exit
fi
- local className=($(echo ${_className} | sed "s#\([A-Z]\)#\ \L\1#g"))
-
- include $(StringUtil replace className space .).${_className}
+ include $(
+ echo ${_className} | \
+ sed "s#\([A-Z]\)#\ \L\1#g" | \
+ sed "s#\([a-z]\)\ #\1.#g"
+ ).${_className}
${_className} $... | bash |
d_bash_18962 | ---
+++
@@ -23,8 +23,8 @@
while true; do
echo -ne "[$(date)] Rescraping timetable - ";
- su "${scraping_user}" -c 'node ./generate.js';
- echo -ne "done";
+ sudo --preserve-env -u "${scraping_user}" node ./generate.js;
+ echo -e "done";
log_message "Rescraped university timetable to ${SBRL_OUTPUT_FILENAME}"... | bash |
d_bash_18963 | ---
+++
@@ -14,7 +14,7 @@
CONTAINER_2=(':atlasdb-tests-shared:check' ':atlasdb-ete-tests:check')
#Container 3
-CONTAINER_3=(':atlasdb-timelock-ete:check' ':atlasdb-dropwizard-tests:check' ':lock-impl:check')
+CONTAINER_3=(':atlasdb-timelock-ete:check' ':atlasdb-dropwizard-tests:check' ':lock-impl:check' ':atlasdb... | bash |
d_bash_18964 | ---
+++
@@ -23,6 +23,7 @@
brew cask install mou
brew cask install delivery-status
brew cask install instacast
+brew cask install xbox360-controller-driver
#Configures Alfred to add applications-directory to search scope
brew cask alfred link | bash |
d_bash_18965 | ---
+++
@@ -12,3 +12,7 @@
mkdir -p target/{linux,macos}
GOOS=darwin GOARCH=amd64 go build -ldflags "$flags" -o target/macos/notable
GOOS=linux GOARCH=amd64 go build -ldflags "$flags" -o target/linux/notable
+
+# Build zip files for hosting on github
+pushd target/macos && zip notable-macos.zip notable; popd
+pushd... | bash |
d_bash_18966 | ---
+++
@@ -19,20 +19,11 @@
testdir=$(readlink -fn `dirname $0`)
thisdir=$(readlink -fn `pwd`)
-targetdir=${testdir}/target
-
if [[ "$testdir" != "$thisdir" ]]; then
echo error: must be run from inside the ${testdir} directory
echo you ran it from ${thisdir}
exit 1
fi
-if [ -e "${targetdir}" ]; then
- ... | bash |
d_bash_18967 | ---
+++
@@ -1,6 +1,10 @@
#!/bin/ksh
+DATA=/home/kevinb/Documents/Low-Carb-Daily-Member-List/data
BASE="http://community.myfitnesspal.com/en/group/members/394-low-carber-daily-forum-the-lcd-group/"
+
+# Move into the data directory
+cd $DATA
#
# This first block grabs all the member pages
@@ -17,10 +21,11 @@
... | bash |
d_bash_18968 | ---
+++
@@ -1,5 +1,29 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+
+REQUIRED_FLATPAK_VERSION=1.5.0
+
+check_flatpak() {
+ # This check is only needed when building from git, as
+ # the tarball carries a copy of a new enough file
+ if ! pkg-config --exists flatpak; then
... | bash |
d_bash_18969 | ---
+++
@@ -21,7 +21,7 @@
then
echo "npm version on install:"
npm -v
- npm install
+ npm ci
npm ls
elif [ "$NODEJS_VERSION" = "nodejs6" ];
then | bash |
d_bash_18970 | ---
+++
@@ -14,7 +14,9 @@
if test "$BUILDGEN_TARGET_COMPILER" = "gcc" -a `uname` = "Darwin"
then
+ PRE_BUILD_DIR=`pwd`
brew tap homebrew/versions
brew update > /dev/null
brew install homebrew/versions/gcc6
+ cd $PRE_BUILD_DIR
fi | bash |
d_bash_18971 | ---
+++
@@ -7,14 +7,11 @@
echo "Installing ${NAME}-${OS}-${ARCH}-${VERSION}..."
-wget -O ${NAME}.tar.gz https://github.com/github/git-lfs/releases/download/v1.2.0/${NAME}-${OS}-${ARCH}-${VERSION}.tar.gz
+wget -O ${NAME}.tar.gz https://github.com/github/git-lfs/releases/download/v${VERSION}/${NAME}-${OS}-${ARCH}-... | bash |
d_bash_18972 | ---
+++
@@ -7,7 +7,11 @@
source /usr/local/opt/chruby/share/chruby/auto.sh
fi
-
+# ruby specific
+if type rbenv > /dev/null; then
+ # alterd $PATH so do after PATH has been set
+ eval "$(rbenv init -)"
+fi
function ruby_rbenv_install() { | bash |
d_bash_18973 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
TARGET=../../nextflow-website/assets
-if egrep "^release = '.*edge'$" -c conf.py >/dev/null; then
+if egrep "^release = '.*edge|.*SNAPSHOT'$" -c conf.py >/dev/null; then
MODE=edge
else
MODE=latest | bash |
d_bash_18974 | ---
+++
@@ -15,6 +15,6 @@
# Install homebrew packages
brew install grc coreutils spark postgis node openssl qt git
brew install caskroom/cask/brew-cask
-brew cask install 1password adobe-creative-cloud adobe-reader alfred atom backblaze caffeine dash dropbox evernote firefox flash google-chrome google-drive handbr... | bash |
d_bash_18975 | ---
+++
@@ -8,7 +8,7 @@
--optimizer=adam \
--lr=0.001 \
--minibatch_size=100 \
---num_episodes=5000 \
+--num_episodes=10000 \
--max_steps_per_episode=200 \
--replay_memory_capacity=50000 \
--target_update_freq=10000 \
@@ -22,17 +22,17 @@
--env=Pong-v0 \
--network=cnn \
--optimizer=adam \
---lr=0.00001 \
---m... | bash |
d_bash_18976 | ---
+++
@@ -22,7 +22,7 @@
# Download the wiremock jar if we need it
if ! [ -e wiremock-standalone.jar ]; then
echo WireMock standalone JAR missing. Downloading.
- curl http://repo1.maven.org/maven2/com/github/tomakehurst/wiremock-standalone/2.17.0/wiremock-standalone-2.17.0.jar -o wiremock-standalone.jar
+ ... | bash |
d_bash_18977 | ---
+++
@@ -2,7 +2,7 @@
# build config
#
PACKAGES=""
-REGISTRY_VERSION="2.2.0"
+REGISTRY_VERSION="2.2.1"
configure_bob()
{ | bash |
d_bash_18978 | ---
+++
@@ -1,10 +1,8 @@
-export DB_USER=wirecloud_ci
-export DB_NAME=${DB_USER}
+export DB_USER=postgres
+export DB_NAME=wirecloud_ci
pip install psycopg2
-createuser -U postgres -h ${DB_HOST} -p ${DB_PORT} ${DB_USER}
createdb -U postgres -h ${DB_HOST} -p ${DB_PORT} -O ${DB_USER} ${DB_NAME}
-createdb -U postgr... | bash |
d_bash_18979 | ---
+++
@@ -5,6 +5,7 @@
function ci_lib() {
xcodebuild -project FBSnapshotTestCase.xcodeproj \
-scheme FBSnapshotTestCase \
+ -destination "platform=iOS Simulator,name=iPhone 6" \
-sdk iphonesimulator \
build test
} | bash |
d_bash_18980 | ---
+++
@@ -9,9 +9,11 @@
if [[ "$TRAVIS_BRANCH" =~ master* ]]; then CMD="$CMD -P release"; fi
eval $CMD
+# If it's not develop or master, exit
+if ! [[ "$TRAVIS_BRANCH" =~ master || "$TRAVIS_BRANCH" =~ develop ]]; then exit 0; fi
-# Run Deploy
-CMD="mvn deploy -DskipTests=true -T 4 -B"
+# Run Deploy / Package
+... | bash |
d_bash_18981 | ---
+++
@@ -6,7 +6,7 @@
echo "https://github.com/bell-sw/Liberica/releases/download/17.0.4+8/bellsoft-jdk17.0.4+8-linux-amd64.tar.gz"
;;
java18)
- echo "https://github.com/bell-sw/Liberica/releases/download/18.0.1.1+2/bellsoft-jdk18.0.1.1+2-linux-amd64.tar.gz"
+ echo "https://github.com/bell-sw/Liberica/r... | bash |
d_bash_18982 | ---
+++
@@ -7,4 +7,4 @@
JARFILE=$("$BINDIR"/build.sh "$@")
-java -Djava.net.preferIPv4Stack=true -jar "$JARFILE"
+java -Djava.net.preferIPv4Stack=true -Xmx512m -jar "$JARFILE" | bash |
d_bash_18983 | ---
+++
@@ -24,7 +24,7 @@
cd setup
mkdir gui
cd gui
-cp ../../../common/notes.png notes.png
+cp ../../../common/icons/scalable/notes.svg notes.svg
cp ../../../common/notes.desktop notes.desktop
# Go to snapcraft directory | bash |
d_bash_18984 | ---
+++
@@ -9,9 +9,9 @@
git checkout gh-pages
# since _site/ is in .gitignore, it should be copied over automatically
rm .Rhistory || true
-mv _site/* .
+cp -r _site/* .
rm -rf _site/
git add *
-git commit -m "Site number: ${COMMIT}"
+git commit -m "_site/ folder pertaining to commit: ${COMMIT}"
git push origin... | bash |
d_bash_18985 | ---
+++
@@ -27,15 +27,6 @@
fi
}
-yesno() {
- # NOTE: Defaults to NO
- read -p "$1 [y/N] " ynresult
- case "$ynresult" in
- [yY]*) true ;;
- *) false ;;
- esac
-}
-
run $PAKET_EXE restore
[ ! -e build.fsx ] && run $PAKET_EXE update | bash |
d_bash_18986 | ---
+++
@@ -1,18 +1,15 @@
#!/bin/sh
-# Install a Hugo, https://gohugo.io/
+# Install Hugo, https://gohugo.io/getting-started/installing/
#
# You can either add this here, or configure them on the environment tab of your
# project settings.
-HUGO_VERSION="0.20"
+HUGO_VERSION="0.81.0"
HUGO_DIR=${HUGO_DIR:="$HOME/h... | bash |
d_bash_18987 | ---
+++
@@ -2,4 +2,7 @@
set -e
brew update
-brew install xctool || brew outdated xctool || brew upgrade xctool
+
+# brew install xctool || brew outdated xctool || brew upgrade xctool
+brew uninstall xctool
+brew install --HEAD xctool | bash |
d_bash_18988 | ---
+++
@@ -1,4 +1,4 @@
-ABSOLUTE_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+ABSOLUTE_PATH="$( cd "$( dirname "${BASH_SOURCE}" )" && pwd )"
# Load dependencies if run by the CI
# FIXME: This is needed because of broken RPATH on Mac
@@ -13,6 +13,6 @@
# Run the second argument in the directory cre... | bash |
d_bash_18989 | ---
+++
@@ -7,7 +7,7 @@
if [ `uname` == Linux ]; then
EXTRA_CMAKE_ARGS=-DCMAKE_SHARED_LINKER_FLAGS=-static-libstdc++
elif [ `uname` == Darwin ]; then
- EXTRA_CMAKE_ARGS=
+ EXTRA_CMAKE_ARGS=-DCMAKE_OSX_DEPLOYMENT_TARGET=10.9
fi
cd .. | bash |
d_bash_18990 | ---
+++
@@ -1,12 +1,16 @@
#!/bin/sh
#Please run with user SBR
+#----------------------------------------------------------------------------------------------------------------------------------
+# DATABASE SETTINGS
+
export user=SBR
export pwd=jjsbr
export SQLPLUS_PATH=~/Dropbox/nih/instantclient_10_2/
#export... | bash |
d_bash_18991 | ---
+++
@@ -3,7 +3,7 @@
glidein_config=$1
tmp_fname=${glidein_config}.$$.tmp
-entry_dir=$2
+dir_id=$2
function warn {
echo `date` $@ 1>&2
@@ -13,32 +13,28 @@
add_config_line_source=`grep '^ADD_CONFIG_LINE_SOURCE ' $glidein_config | awk '{print $2}'`
source $add_config_line_source
-if [ "$entry_dir" == "m... | bash |
d_bash_18992 | ---
+++
@@ -7,4 +7,4 @@
fi
cd /var/www/$1/
git fetch
-git checkout ${3}
+git -c advice.detachedHead=false checkout ${3} | bash |
d_bash_18993 | ---
+++
@@ -2,4 +2,3 @@
HDF5_LIB="-L/usr/lib -lhdf5 -lm"
gcc $HDF5_INC -std=c99 gen_data_grid.c -o gen_data_grid $HDF5_LIB
gcc $HDF5_INC -std=c99 gen_data_unstructured.c -o gen_data_unstructured $HDF5_LIB
-gcc $HDF5_INC -std=c99 gen_data_vector.c -o gen_data_vector $HDF5_LIB | bash |
d_bash_18994 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
VERSION=2.0.5
-TEMP=$(mktemp --directory hlint-XXXXX)
+TEMP=$(mktemp --directory .hlint-XXXXX)
mkdir $TEMP
curl -o$TEMP/hlint.tar.gz -L --insecure https://github.com/ndmitchell/hlint/releases/download/v$VERSION/hlint-$VERSION-x86_64-linux.tar.gz
tar -xzf $TEMP/hlint.tar.gz -C$TE... | bash |
d_bash_18995 | ---
+++
@@ -3,6 +3,7 @@
! alembic upgrade head && echo failed to upgrade head && exit 1
+ python main.py create-views cbs-views
#ls -lah /rsa.xlsx | bash |
d_bash_18996 | ---
+++
@@ -1,4 +1,5 @@
#!/bin/sh
pip install git+https://github.com/blosc/bcolz --upgrade
+pip install partd
$PYTHON setup.py install | bash |
d_bash_18997 | ---
+++
@@ -25,6 +25,7 @@
cmake ..;
fi
make
+rm -rf ~/.cache
make install
cd "$cwd"
rm -rf tensorflow_cc/tensorflow_cc/build
@@ -36,8 +37,3 @@
cmake ..
make
./example
-
-### cleanup ###
-
-cd "$cwd"
-rm -rf ~/.cache | bash |
d_bash_18998 | ---
+++
@@ -5,8 +5,8 @@
apt-get -y install ccache
export PATH=/usr/lib/ccache:$PATH
-if [ -f binary-builder-compiler-cache/ccache.tgz ]; then
- tar xzf binary-builder-compiler-cache/ccache.tgz
+if [ -f binary-builder-compiler-cache/binary-builder-compiler-cache.tgz ]; then
+ tar xzf binary-builder-compiler-cach... | bash |
d_bash_18999 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
mkdir .ssh
openssl req -nodes -newkey rsa:2048 -keyout .ssh/id_rsa -out .ssh/id_rsa.csr -subj "/C=/ST=/L=/O=hasas/OU=/CN=hasas.zza.no"
-openssl rsa -in .ssh/id_rsa -pubout 2>/dev/null > .ssh/id_rsa.pub
+openssl rsa -in .ssh/id_rsa -pubout 2>/dev/null > ~/.ssh/id_rsa.pub | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.